midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | None

Sound.MIDI.File.Event.SystemExclusive

Synopsis

- data T
  - = Regular ByteList
  - | Escape ByteList
- get :: C parser => Int -> Fallible parser T
- put :: C writer => T -> writer

# Documentation

data T Source

Deprecated: implement this data type properly

There are three forms of System Exclusive Messages in MIDI files: monolithic, chopped into packets, escape form (with unrestricted binary data).

Currently we only support first and last type explicitly. But we leave the trailing 0xF7 markers which can be used to detect whether the messages are actually meant as packets.

Since I don't know where manufacturer information is in the packets form, I omit manufacturer handling for now.

Constructors

Regular ByteList |
Escape ByteList |

Instances

Eq T |
Ord T |
Show T |

get :: C parser => Int -> Fallible parser T Source

put :: C writer => T -> writerSource